package com.dashitech.migration.task.uc;

import com.dashitech.migration.BaseTask;
import com.dashitech.migration.SqlTask;
import com.dashitech.migration.core.FieldMapper;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by CX on 2024/10/10.
 */
@Component
public class UserTask extends BaseTask {

    @Autowired
    SqlTask groupTask;

    public static Log log = LogFactory.getLog(UserTask.class);

    @Override
    @Transactional
    public void start() {
        log.info(" *** 用户user转换开始 *** ");

        StringBuffer sb = new StringBuffer();
        sb.append(" select * from itsm_uc_user ");

        List list = jdbcTemplateHsms.queryForList(sb.toString());

        FieldMapper groupMapper = groupTask.loadCache();
        System.out.println(groupMapper.getIdCache());


    }

    @Override
    public FieldMapper loadCache() {
        log.info(" *** 加载用户user缓存 *** ");



        return null;
    }
}
